<div class="card network" [ngClass]="{ fullscreen: fullscreen }">
  <header class="card-header network-header" *ngIf="networkType === 'explorer'">
    <p class="card-header-title">
      {{ drugstoneConfig.config.title }}
    </p>
    <span class="mr-1 is-pulled-right columns is-flex is-vcentered">
      <div class="field has-addons">
        <p class="control">
            <button
              pTooltip="Open in fullscreen"
              [tooltipStyleClass]="'drgstn drgstn-tooltip drgstn-tooltip-left'"
              tooltipPosition="left"
              *ngIf="!fullscreen"
              (click)="toggleFullscreen()"
              class="button is-rounded is-small is-outlined highlight-primary"
            >
              <app-fa-solid-icon
                icon="expand"
                classString="only-item-in-button"
              ></app-fa-solid-icon>
            </button>
            <button
              pTooltip="Close fullscreen"
              [tooltipStyleClass]="'drgstn drgstn-tooltip drgstn-tooltip-left'"
              tooltipPosition="left"
              *ngIf="fullscreen"
              (click)="toggleFullscreen()"
              class="button is-rounded is-small is-outlined highlight-primary"
            >
              <app-fa-solid-icon
                icon="compress"
                classString="only-item-in-button"
              ></app-fa-solid-icon>
            </button>
          </p>
        <div class="control dropdown is-hoverable">
          <div class="dropdown-trigger">
                    <button
                            aria-haspopup="true"
                            attr.aria-controls="controls-menu-button"
                            class="button is-rounded is-small is-outlined highlight-primary">
                              <app-fa-solid-icon icon="bars" classString="only-item-in-button"></app-fa-solid-icon>
                  </button>
            <div class="dropdown-menu dropdown-list " id="controls-menu-button" role="menu">
                <div class="dropdown-content inner-dropdown">
                    <a class="dropdown-item" pTooltip="Display end-user license agreement (EULA)."
                       tooltipPosition="left"
                       [ngClass]="{ 'text-small': drugstoneConfig.smallStyle }"
                       [tooltipStyleClass]="'drgstn drgstn-tooltip drgstn-tooltip-left'"
                       (click)="showEULA()">Show EULA</a>
                  <a class="dropdown-item" pTooltip="Open window to submit a bug report"
                       tooltipPosition="left"
                       [ngClass]="{ 'text-small': drugstoneConfig.smallStyle }"
                       [tooltipStyleClass]="'drgstn drgstn-tooltip drgstn-tooltip-left'"
                       (click)="openBugreport()">Report bug</a>
                    <a class="dropdown-item" pTooltip="Opens Drugst.One website" [ngClass]="{ 'text-small': drugstoneConfig.smallStyle }" tooltipPosition="left"
                       [tooltipStyleClass]="'drgstn drgstn-tooltip drgstn-tooltip-left'" target="_blank"
                       href="https://drugst.one/home">About Drugst.One</a>
                  <b *ngIf="versionString" class="version-text dropdown-item">{{versionString}}</b>
                </div>
            </div>
          </div>
        </div>
      </div>
    </span>
  </header>
  <div
    class="card-content network-view-settings"
    [class.analysis]="networkType === 'analysis'"
  >
    <div class="card-image canvas-content" #networkWithLegend>
      <div *ngIf="drugstoneConfig.config.showLegend">
        <app-network-legend
          [config]="drugstoneConfig.currentConfig()"
        ></app-network-legend>
      </div>
      <div class="center image1 fullheight" #network>
        <button class="button is-loading center" alt="loading...">
          Loading
        </button>
      </div>
    </div>

    <app-network-menu (resetEmitter)="reset()"
      *ngIf="
        drugstoneConfig.config.showNetworkMenu &&
        drugstoneConfig.config.showNetworkMenu === 'right'
      "
    ></app-network-menu>

    <app-network-menu-left (resetEmitter)="reset()"
      *ngIf="
        drugstoneConfig.config.showNetworkMenu &&
        drugstoneConfig.config.showNetworkMenu === 'left'
      "
    ></app-network-menu-left>
  </div>
</div>
